Bug 1999026 - Detect ODF managed services when OCS operator is installed
Summary: Detect ODF managed services when OCS operator is installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Sanjal Katiyar
QA Contact: suchita
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-30 09:33 UTC by Sanjal Katiyar
Modified: 2021-10-18 17:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:49:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9918 0 None None None 2021-08-30 09:37:11 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:49:58 UTC

Description Sanjal Katiyar 2021-08-30 09:33:38 UTC
Description of problem:
Right now, we are starting to detect for managed ODF services once storage cluster is created. That should not be the case, we should be detecting whether installed operator is the managed operator or not right after the operator is installed.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Starting to detect for managed ODF services once storage cluster is created

Expected results:
Should be detecting whether installed operator is the managed operator or not right after the operator is installed.

Additional info:

Comment 31 suchita 2021-10-08 12:36:20 UTC
@Sanjal Katiyar
As discussed, please share the steps to verify this BZ.

Comment 34 suchita 2021-10-14 10:45:49 UTC
The step-in comment#33 works.
When the label "odf-managed-service: 'true'" is added to an openshift-storage namespace, dashboards are not available. 
And its page link return code 404. 


Tested with:
OCP 4.9.0-0.nightly-2021-10-13-035504
OCS ocs-operator.v4.8.3


Moving this BZ to verified status

Comment 36 errata-xmlrpc 2021-10-18 17:49:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.